::placeholder {
    color: #C0C0C0;
}

#signin-box {
    margin-bottom: 2rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 3rem;
}

.welcome-title {
    font-size: 1.7rem;
    text-align: center;
    margin-top: 2rem;
}

.sign-in-options {
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
    padding: 1rem;
    width: 25rem;
    border: var(--border);
    border-radius: var(--border-radius);
}

.option {
    background: var(--primary-color);
    color: var(--secondary-color);
    border-radius: var(--border-radius);
    border: var(--border);
    padding: 1rem;
    transition: var(--transition);
    cursor: pointer;
}

.option:hover {
    background: var(--secondary-color);
    color: var(--primary-color);
}

.fields {
    width: 20rem;
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
}

.fields-overlay {
    position: fixed;
    top: 0;
    left: 0;
    z-index: -1;
    opacity: 0;
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    row-gap: 1rem;
    background: var(--dark-overlay);
    transition: var(--transition);
}